# class OAuth2::AccessToken::Mac

- OAuth2::AccessToken::Mac
- OAuth2::AccessToken
- Reference
- Object

##
Defined in:

##
Constructors

- .new(access_token, expires_in, mac_algorithm, mac_key, refresh_token = nil, scope = nil, issued_at = Time.utc.to_unix, extra = nil)
- .new(pull : JSON::PullParser)

##
Class Method Summary

- .signature(ts, nonce, method, uri, host, port, ext, mac_algorithm, mac_key)

##
Instance Method Summary

- #==(other : self)

  Returns `true` if this reference is the same as other.

- #authenticate(request : HTTP::Request, tls)
- #hash(hasher)

  See `Object#hash(hasher)`

- #issued_at : Int64
- #issued_at=(issued_at : Int64)
- #mac_algorithm : String
- #mac_algorithm=(mac_algorithm : String)
- #mac_key : String
- #mac_key=(mac_key : String)
- #to_json(json : JSON::Builder)
- #token_type

### Instance methods inherited from class `OAuth2::AccessToken`

access_token : String access_token, access_token=(access_token : String) access_token=, authenticate(request : HTTP::Request, tls)
authenticate(client : HTTP::Client) authenticate, expires_in : Int64? expires_in, expires_in=(expires_in : Int64?) expires_in=, extra : Hash(String, String)? extra, extra=(extra : Hash(String, String)?) extra=, refresh_token : String? refresh_token, refresh_token=(refresh_token : String?) refresh_token=, scope : String? scope, scope=(scope : String?) scope=

### Constructor methods inherited from class `OAuth2::AccessToken`

new(access_token : String, expires_in : Int?, refresh_token : String? = nil, scope : String? = nil, extra = nil)
new(pull : JSON::PullParser) new

### Instance methods inherited from class `Reference`

==(other : self)
==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup, hash(hasher) hash, inspect(io : IO) : Nil inspect, object_id : UInt64 object_id, pretty_print(pp) : Nil pretty_print, same?(other : Reference)
same?(other : Nil) same?, to_s(io : IO) : Nil to_s

### Constructor methods inherited from class `Reference`

new new

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(access_token, expires_in, mac_algorithm, mac_key, refresh_token = nil, scope = nil, issued_at = Time.utc.to_unix, extra = nil) #
def self.new(pull : JSON::PullParser) #

##
Class Method Detail

def self.signature(ts, nonce, method, uri, host, port, ext, mac_algorithm, mac_key) #

##
Instance Method Detail

def ==(other : self) #
Description copied from class Reference

Returns `true` if this reference is the same as other. Invokes `same?`.

def authenticate(request : HTTP::Request, tls) #
def hash(hasher) #
Description copied from class Reference

See `Object#hash(hasher)`

def issued_at : Int64 #
def issued_at=(issued_at : Int64) #
def mac_algorithm : String #
def mac_algorithm=(mac_algorithm : String) #
def mac_key : String #
def mac_key=(mac_key : String) #
def to_json(json : JSON::Builder) #
def token_type #